DataConstant.cpp File Reference
`#include "DataConstant.h"`
`#include "Data.h"`
`#include "DataException.h"`
`#include "DataVectorOps.h"`
`#include <iostream>`

## Namespaces

| escript

## Macros

#define | CHECK_FOR_EX_WRITE

## Macro Definition Documentation

## CHECK_FOR_EX_WRITE

#define CHECK_FOR_EX_WRITE

Referenced by escript::DataConstant::getTypedVectorRW(), escript::DataConstant::getVectorRW(), escript::DataConstant::getVectorRWC(), escript::DataConstant::replaceNaN(), escript::DataConstant::setSlice(), and escript::DataConstant::setToZero().